@tailwind base;
@tailwind components;
@tailwind utilities;

@import "fontsStyle";

*{
    font-family: TT Hoves, Arial;
}
.inlay {
    max-width: 1200px;
    margin-right: auto;
    margin-left: auto;
}

@media screen and (max-width: 1200px) {
    .inlay{
        max-width: 1000px;
        margin-right: auto;
        margin-left: auto;
    }
}

@media screen and (max-width: 1000px) {
    .inlay{
        max-width: 800px;
        margin-right: auto;
        margin-left: auto;
    }
}

.bg-shape {
    transform: skewX(-15deg);
    position: absolute;
}

.bg-shape-hover {
    transform: skewX(-15deg);
    left: 55%;
}

.bg-shape-header {
    right: -11%;
    left: 55%;
}

.bg-shape-menu {
    right: 25%;
    left: -20%;
}

.bg-shape-grey {
    height: 5000px;
    top: 12rem;
}

.bg-shape-home {
    right: 60%;
}

.z-index {
    z-index: -10;
}

.z-index-1 {
    z-index: -1;
}

@keyframes bounce {
    0%, 100% {
        transform: translateY(-25%);
        animationTimingFunction: cubic-bezier(0.8, 0, 1, 1);
    }
    50% {
        transform: translateY(0);
        animationTimingFunction: cubic-bezier(0, 0, 0.2, 1);
    }
}

.black {
    position: fixed;
    top: 0;
    background: #333;
    width: 100%;
    height: 50px;

}

.black ul {
    list-style-type: none;
    padding: 0;
}

.black ul li {
    display: inline-block;
    width: 100px;
    color: red;
}

.blue {
    position: fixed;
    top: 0;
    background: blue;
    width: 100%;
    height: 50px;
}

@import url(https://fonts.googleapis.com/css?family=Khula:700);

.hidden {
    opacity: 0;
}

.console-container {
    font-family: 'Roboto', sans-serif;
    font-size: 4em;
    text-align: center;
    height: 200px;
    width: 600px;
    display: block;
    position: absolute;
    color: black;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
}

.console-underscore {
    display: inline-block;
    position: relative;
    top: -0.14em;
    left: 10px;
}

.text-color {
    color: #0096ff;
}

.background-color {
    background-color: #0096ff;
}

.background-VerlaufRight{
    background-color: #0096ff;
}

.background-VerlaufLeft{
    background-color: #0096ff;
}

.border-color {
    border-color: #11426D;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    min-height: 8vh;
    background-color: rgba(255, 255, 255, 0);
    font-family: 'Roboto', sans-serif;
    padding-right: 2rem;
    padding-left: 2rem;
    opacity: 1;

}

.logo {
    color: black;
    text-transform: uppercase;
    letter-spacing: 5px;
    font-size: 20px;
}

.logo h4 {
    margin: 0;
}

/*-------------------------------------------*/
.nav-links {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 0;
}

.nav-links li {
    list-style: none;
}

.nav-links a {
    color: white;
    text-decoration: none;
    font-weight: bold;
    font-size: 20px;
}

/*---------------------------------------------*/

.burger {
    display: none;
}

.burger div {
    width: 25px;
    height: 3px;
    margin: 5px;
    background-color: black;
    transition: all 0.3s ease;
}

@media screen and (max-width: 4000px) {
    body {
        overflow-x: hidden;
    }

    .nav-links {
        position: absolute;
        right: 0px;
        top: 8vh;
        background: linear-gradient(105deg, #0096ff 75%, white 0%);
        display: flex;
        flex-direction: column;
        transform: translateX(100%);
    }

    .burger {
        display: block;
        z-index: 101;
    }
}

.nav-active {
    transform: translateY(0%);
    width: 100%;
    height: 100vh;
    top: 0;
    z-index: 100;
    padding-top: 8rem;
    padding-bottom: 2rem;
    border-radius: 0 0 0 0px;
    opacity: 1;
    animation: full-height 2s;
}

@keyframes full-height {
    /* You could think of as "step 1" */
    0% {
        opacity: 0;
        width: 0;
        padding-right: 0rem;
    }
    /* You could think of as "step 2" */
    100% {
        opacity: 1;
        width: 100%;
        padding-right: 4rem;
        background: linear-gradient(105deg, #0096ff 75%, white 0%);
    }
}

@keyframes navLinkFade {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.toggle #line1 {
    transform: rotate(-45deg) translate(-5px, 6px);
    background-color: black;
}

.toggle #line2 {
    opacity: 0;
}

.toggle #line3 {
    transform: rotate(45deg) translate(-5px, -6px);
    background-color: black;
}

.toggle{
    z-index: 203;
}

@keyframes my-animation {
    0% {
        transform: rotate(0);
        opacity: 0;
    }
    100% {
        transform: rotate(1turn);
        opacity: 1;
    }
}

.run-animation {
    animation-name: my-animation;
    animation-duration: 3s;
}

.test {
    fill: red;
}

.height {
    height: 100%;
}

.hoverButton:hover {
    background-color: #11426D;
    animation: button-Animation 1s;
}

@keyframes button-Animation {
    /* You could think of as "step 1" */
    0% {
        background-color: white;

    }
    /* You could think of as "step 2" */
    100% {
        background-color: #0096ff;
    }
}

.hoverButtonZurueck:hover {
    background-color: white;
    color: black;
}

.form-design {
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: black;
    background-color: white;
    background-clip: padding-box;
    border: 3px solid #0096ff;
    appearance: none;
    border-radius: 0.25rem;
}

.form-dataien {
    display: block;
    border: 3px solid #0096ff;
    width: 100%;
    border-radius: 0.25rem;
}


.news-text-field{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
    text-overflow: clip;
    height: 50%;
    padding-bottom: 3rem;
    width: 100%;
}

.news-text-field-container{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    height: 30rem;
    width: 100%;
    padding-bottom: 2rem;
}

.news-text-field-full{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
    text-overflow: clip;
    height: 100%;
    padding-bottom: 3rem;
    width: 100%;
}

.news-text-field-container-full{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    height: 50%;
    width: 100%;
}

.maps-cart{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-end;
}
/*--------------------------------------------Responsive Design-------------------------------------------------------*/

@media screen and (max-width: 600px) {
    .console-container {
        max-width: 300px;
        margin-right: auto;
        margin-left: auto;
        font-size: 35px;
    }

    .news-text-field-container{
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 30rem;
    }

    .news-text-field-container img{
        width: 50%;
        margin-right: 0;
    }

    .text-block{
        display: block;
        width: 100%;
    }

    .image-block{
        display: block;
        width: 100%;
    }

    .image-block .background-color{
        background-color: white;
    }
}

@media screen and (max-width: 765px) {
    .image-block .background-color{
        background-color: white;
    }

    .text-image-container{
        display: block;
    }

    .text-image-container .text-block{
        width: 100%;
    }

    .text-image-container .image-block{
        width: 100%;
    }

    .text-image-container .image-block .background-color{
        background-color: white;
    }

    .background-VerlaufRight{
        background: linear-gradient(135deg, white 70%, #0096ff 0%);
    }

    .background-VerlaufLeft{
        background: linear-gradient(135deg, white 70%, #0096ff 0%);
    }

    .nav-links {
        background: linear-gradient(195deg, #0096ff 70%, white 0%);
    }

    .nav-active {
        transform: translateX(0%);
        width: 100%;
        height: 100vh;
        top: 0;
        z-index: 100;
        padding-top: 8rem;
        animation: full-height 2s;
    }
    @keyframes full-height {
        /* You could think of as "step 1" */
        0% {
            width: 0;

        }
        /* You could think of as "step 2" */
        100% {
            width: 100%;
        }
    }

    .navigation-text{
        z-index: 300;
        text-align: center;
    }

    .rectangle-color{
        fill: black;
    }

}

@media screen and (max-width: 400px) {
    .inlay {
        max-width: 350px;
        margin-right: auto;
        margin-left: auto;
    }

    .maps-cart{
        width: 100%;
    }

    .maps-cart .background-color{
        background-color: white;
        width: 100%;
    }

    .news-text-field-container{
         display: flex;
         flex-direction: column;
         justify-content: center;
         align-items: center;
         height: 30rem;
     }

    .news-text-field-container img{
        width: 100%;
        margin-right: 0;
    }
}

/*----------------------------------------------------------------------------------------------------*/

#slash-logo{
    fill: #0096ff;
}
.logoColor-Active{
    fill: white;
    position: absolute;
    z-index: 200;
    animation: change-color 2s;
}

@keyframes change-color {
    /* You could think of as "step 1" */
    0% {
        fill: black;
    }
    /* You could think of as "step 2" */
    100% {
        fill: white;
    }
}

.fill-black{
    fill: #1D3493;
}

.navigation-Images{
    z-index: 101;
}

.navigation-text{
    z-index: 300;
}

.page-container{
    background: linear-gradient(65deg, white 85%, #0096ff 0%);
}

.navigation-right:hover p{
    color: #0096ff;
}

/*------------------------------counter-----------------------------*/

b {
    color: #0A8;
}

.imageSliderPosition{
    z-index: 2;
    display: flex;
    padding-left: 0;
    margin-right: 20%;
    margin-left: 20%;
    list-style: none;
}

.carouselControlNext{
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    color: #fff;
    text-align: center;
    transition: opacity .15s ease;
}

.carouselControlPrev{
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    color: #fff;
    text-align: center;
    transition: opacity .15s ease;
}

@media screen and (max-width: 600px) {
    .imageSliderPosition{
        z-index: 2;
        display: flex;
        padding-left: 0;
        margin-right: 0;
        margin-left: 0;
        list-style: none;
    }
}

